Kerbal Space Program - Bug #1148

If an incompatible craft is installed the space centre launch dialog fails to launch any craft
07/27/2013 04:12 PM - ZRM

Status: Closed Start date: 07/27/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.21.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If a craft is installed that requires parts that are not installed this makes the new space centre launch dialog not work at all, regardless
of which craft you are trying to launch - stock, your own design or one of the mod's crafts. The launch button just closes the launch
dialog, without going to the launch pad. The following exceptions show up in the log:

(Filename: Line: -1)

NullReferenceException: Object reference not set to an instance of an object
at PartCrewManifest.FromConfigNode (.ConfigNode node) [0x00000] in <filename unknown>:0

at VesselCrewManifest.FromConfigNode (.ConfigNode craftNode) [0x00000] in <filename unknown>:0

at CrewRoster.DefaultCrewForVessel (.ConfigNode vesselNode, Boolean autoHire) [0x00000] in <file
name unknown>:0

at VesselSpawnDialog.CreateVessellList (System.String craftSubfolder, System.String profileName)
[0x00000] in <filename unknown>:0

at VesselSpawnDialog.InitiateGUI (VesselSpawnInfo info) [0x00000] in <filename unknown>:0

at EventData'1l[GameEvents+VesselSpawnInfo] .Fire (VesselSpawnInfo data) [0x00000] in <filename un
known>:0

at LaunchPadBuilding.showShipSelection () [0x00000] in <filename unknown>:0

at LaunchPadBuilding.OnClicked () [0x00000] in <filename unknown>:0

at SpaceCenterBuilding.OnMouseDown () [0x00000] in <filename unknown>:0
UnityEngine.GameObject:SendMessage (String, Object, SendMessageOptions)
UnityEngine.HitInfo:SendMessage (String)
UnityEngine.SendMouseEvents:SendEvents (Int32, HitInfo)
UnityEngine.SendMouseEvents:DoSendMouseEvents (Int32, Int32)

(Filename: Line: -1)

NullReferenceException: Object reference not set to an instance of an object
at VesselSpawnDialog.LaunchSelectedVessel () [0x00000] in <filename unknown>:0

at VesselSpawnDialog.ButtonLaunch (.POINTER_INFO& ptr) [0x00000] in <filename unknown>:0

at (wrapper delegate-—-invoke) EZInputDelegate:invoke_void__this__ POINTER_INFO& (POINTER_INFO&)
at UIButton.OnInput (.POINTER_INFO& ptr) [0x00000] in <filename unknown>:0

at AutoSpriteControlBase.OnInput (POINTER_INFO ptr) [0x00000] in <filename unknown>:0

at UIManager.DispatchHelper (.POINTER_INFO& curPtr, Int32 camIndex) [0x00000] in <filename unkno
wn>:0
at UIManager.DispatchInput () [0x00000] in <filename unknown>:0

at UIManager.Update () [0x00000] in <filename unknown>:0
at UIManager.DidAnyPointerHitUI () [0x00000] in <filename unknown>:0
at SpaceCenterCamera2.InputCamera () [0x00000] in <filename unknown>:0

at SpaceCenterCamera2.Update () [0x00000] in <filename unknown>:0

| know that this problem is not something that would be high on any priority list, since it is a result of incorrect user configuration, but
this problem could be confusing for any user that has uninstalled a mod but forgotten to uninstall the example crafts for it. Please
degrade the priority level if "Normal" is deemed too high.

Steps to reproduce:

1. Add a craft file that requires a part that is not installed to a directory that will make it show up in the launch dialog list (e.g. SPH
or VAB in the stock Ships directory). For a good example pick a craft file from the NovaPunch mod.

2. Load an appropriate save (any save if the craft is installed in the stock directory).

3. Try to launch any craft that is in the same category as the installed incompatible craft (i.e. SPH or VAB) via the space centre
launch dialog.

4. The window will close without launching the craft or loading the launchpad/runway scene.

Notes:

e This problem does not occur if launching directly from the VAB/SPH.
¢ This will only affect space centre dialogs which show the unsupported craft(s) in them.

New as of KSP 0.21, due to the new launch dialogs.

History

#1 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/07/2016 12:06 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here

-tracker/ and tag @TriggerAu to get my attention
